Bug 112177

Summary: [CSS Exclusions][CSS Regions] Block children do not layout inline content correctly in a region with shape-inside set
Product: WebKit Reporter: Bear Travis <betravis>
Component: CSSAssignee: Zoltan Horvath <zoltan>
Status: RESOLVED FIXED    
Severity: Normal CC: dglazkov, eric, esprehn+autocc, ojan.autocc, WebkitBugTracker, webkit.review.bot, zoltan
Priority: P2    
Version: 528+ (Nightly build)   
Hardware: Unspecified   
OS: Unspecified   
Bug Depends on:    
Bug Blocks: 89256    
Attachments:
Description Flags
Test File
none
proposed patch
webkit.review.bot: commit-queue-
Archive of layout-test-results from gce-cr-linux-01 for chromium-linux-x86_64
none
proposed patch - test modified to use Ahem font none

Description Bear Travis 2013-03-12 12:32:56 PDT
Created attachment 192788 [details]
Test File

See the attached test file. It lays out <p> content within a series of regions, the second of which has a shape-inside set. The content should layout inside a circle between two squares of content, but instead the circle content is pushed down almost to the bottom.
Comment 1 Zoltan Horvath 2013-03-27 11:13:04 PDT
Created attachment 195361 [details]
proposed patch
Comment 2 WebKit Review Bot 2013-03-27 12:31:42 PDT
Comment on attachment 195361 [details]
proposed patch

Attachment 195361 [details] did not pass chromium-ews (chromium-xvfb):
Output: http://webkit-commit-queue.appspot.com/results/17314416

New failing tests:
fast/regions/shape-inside/shape-inside-on-additional-regions.html
Comment 3 WebKit Review Bot 2013-03-27 12:31:46 PDT
Created attachment 195379 [details]
Archive of layout-test-results from gce-cr-linux-01 for chromium-linux-x86_64

The attached test failures were seen while running run-webkit-tests on the chromium-ews.
Bot: gce-cr-linux-01  Port: chromium-linux-x86_64  Platform: Linux-3.3.8-gcg-201212281604-x86_64-with-GCEL-10.04-gcel_10.04
Comment 4 Zoltan Horvath 2013-03-27 14:30:52 PDT
Created attachment 195395 [details]
proposed patch - test modified to use Ahem font
Comment 5 Dave Hyatt 2013-03-28 13:37:44 PDT
Comment on attachment 195395 [details]
proposed patch - test modified to use Ahem font

r=me
Comment 6 WebKit Review Bot 2013-03-28 14:00:09 PDT
Comment on attachment 195395 [details]
proposed patch - test modified to use Ahem font

Clearing flags on attachment: 195395

Committed r147155: <http://trac.webkit.org/changeset/147155>
Comment 7 WebKit Review Bot 2013-03-28 14:00:12 PDT
All reviewed patches have been landed.  Closing bug.